=== debian/changelog ===
frugally-deep (0.15.20-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Jul 2023 01:38:06 -0400

frugally-deep (0.15.20-1) unstable; urgency=medium

  * Initial release. (Closes: #1039466)

 -- Andrius Merkys <merkys@debian.org>  Mon, 26 Jun 2023 06:25:33 -0400
