=== debian/changelog ===
frugally-deep (0.15.21-1) unstable; urgency=medium

  * New upstream version 0.15.21

 -- Andrius Merkys <merkys@debian.org>  Tue, 08 Aug 2023 01:26:26 -0400
