## frugally-deep 0.16.3

=== debian/changelog ===
frugally-deep (0.16.3-1) unstable; urgency=medium

  * New upstream version 0.16.3

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Feb 2025 04:32:31 -0500
