## frugally-deep 0.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include(cmake/hunter.cmake) # default off
 
-project(frugally-deep VERSION 0.15.20)
+project(frugally-deep VERSION 0.17.1)
 
 message(STATUS "===( ${PROJECT_NAME} ${PROJECT_VERSION} )===")
 
@@ -51,7 +51,7 @@
 
 if(FDEEP_BUILD_UNITTEST)
     enable_testing()
-    subdirs(test)
+    add_subdirectory(test)
 endif()
 
 # pkgconfig installation:
