=== debian/changelog ===
frugally-deep (0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Mar 2025 11:54:46 -0400
