## frugally-deep 0.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include(cmake/hunter.cmake) # default off
 
-project(frugally-deep VERSION 0.17.1)
+project(frugally-deep VERSION 0.18.0)
 
 message(STATUS "===( ${PROJECT_NAME} ${PROJECT_VERSION} )===")
