=== debian/changelog ===
frugally-deep (0.18.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump cmake_minimum_required (Closes: #1112937)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Sep 2025 04:57:26 -0400

frugally-deep (0.18.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.18.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 25 Apr 2025 07:31:19 -0400
