=== debian/control ===
Source: frugally-deep
Section: libdevel
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libeigen3-dev,
 libfplus-dev,
 nlohmann-json3-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/Dobiasd/frugally-deep
Vcs-Browser: https://salsa.debian.org/debichem-team/frugally-deep
Vcs-Git: https://salsa.debian.org/debichem-team/frugally-deep.git

Package: libfdeep-dev
Architecture: all
Depends:
 ${misc:Depends},
Description: use Keras models in C++
 frugally-deep is a small header-only library written in modern and pure C++.
 It supports inference for sequential models and computational graphs with a
 more complex topology, created with the functional API. It re-implements a
 small subset of TensorFlow, i.e., the operations needed to support prediction.
 frugally-deep results in a much smaller binary size than linking against
 TensorFlow. It avoids temporarily allocating additional RAM during
 convolutions (by not materializing the im2col input matrix).
