=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,uversionmangle=s/-p0$//" \
 https://github.com/Dobiasd/frugally-deep/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
