=== debian/changelog ===
frugally-deep (0.18.2-1) unstable; urgency=medium

  * New upstream version 0.18.2
  * Set the CMAKE_POLICY_VERSION_MINIMUM via debian/rules instead of
    a patch.

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Nov 2025 08:38:29 -0500
