=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib -DHUNTER_ENABLED=OFF -DCMAKE_POLICY_VERSION_MINIMUM=3.5
